Several problems with Linksys WRT3200ACM

This is the exact message I get:

Device linksys,rango not supported by this image Supported devices: linksys,wrt3200acm armada-385-linksys-rango linksys,rango - Image version mismatch: image 1.1, device 1.0. Please wipe config during upgrade (force required) or reinstall. Reason: Config cannot be migrated from swconfig to DSA Image check failed.

The uploaded image file does not contain a supported format. Make sure that you choose the generic image format for your platform.

Just the generic message, trying to stop people from messing up on an upgrade, once you flash (force, but without keeping config) the file /etc/config/system will have option compat_version '1.1' in an attempt to indicate where you are at in the config compatibility process. And on it will go...

No, this is not normal on OpenWrt, and not normal in this device. Are you using a plain vanila stable release from OpenWrt?

1 Like

Yes, downloaded from here:

@LordRayden
Had similar issue with IOT devices on the WRT3200ACM (not getting an IP for IOT devices, in my case those were indeed ESP8266-based devices).
Created a dedicated SSID for those devices with WMM disabled. Rock sold for 2 years now. Below screenshot of the settings:

.

1 Like

@pajotsetrapper

Thank You very much.

I will try that next. The WRT3200ACM has three Wifi’s, that shouldn’t be a problem.

Thank You

LordRayden

1 Like

You're welcome. Note, you can have multiple SSID's per radio:

1 Like

And one of them is without antenna and not really usable for normal use.

(too bad that it got enabled in OpenWrt, as it has caused more problems than offered anything useful)

2 Likes